=== debian/changelog ===
sirikali (1.3.8-2) unstable; urgency=medium

  * Source-only upload.

 -- David Steele <steele@debian.org>  Sat, 27 Jul 2019 21:56:52 -0400

sirikali (1.3.8-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sat, 13 Jul 2019 22:20:56 -0400
