## sirikali 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,18 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.3.8" )
+set( PGR_VERSION "1.4.0" )
+
+file( WRITE ${PROJECT_BINARY_DIR}/version.h "
+#ifndef THIS_VERSION
+#define THIS_VERSION \"${PGR_VERSION}\"
+#endif
+\n
+#ifndef SIRIKALI_VERSION
+#define SIRIKALI_VERSION
+#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
+#endif
+\n" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -125,17 +136,6 @@
 message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
 message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 
-file( WRITE ${PROJECT_BINARY_DIR}/version.h "
-#ifndef THIS_VERSION
-#define THIS_VERSION \"${PGR_VERSION}\"
-#endif
-\n
-#ifndef SIRIKALI_VERSION
-#define SIRIKALI_VERSION
-#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: 2016-2019 Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
-#endif
-\n" )
-
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
@@ -228,7 +228,7 @@
 		src/keydialog.ui
 		src/dialogmsg.ui
 		src/plugin.ui
-		src/favorites.ui
+		src/createbackendwindow.ui
 		src/favorites2.ui
 		src/readonlywarning.ui
 		src/walletconfig.ui
@@ -240,6 +240,7 @@
 		src/debugwindow.ui
 		src/configfileoption.ui
 		src/configoptions.ui
+		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
 		src/engines/securefscreateoptions.ui
@@ -253,12 +254,12 @@
                 src/checkforupdates.h
                 src/dialogok.h
                 src/help.h
+                src/createbackendwindow.h
 		src/sirikali.h
 		src/keydialog.h
 		src/oneinstance.h
 		src/dialogmsg.h
 		src/plugin.h
-		src/favorites.h
 		src/favorites2.h
 		src/readonlywarning.h
 		src/walletconfig.h
@@ -267,6 +268,8 @@
 		src/filemanager.h
 		src/mountinfo.h
 		src/debugwindow.h
+		src/runinthread.h
+		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
 		src/engines/securefscreateoptions.h
@@ -278,6 +281,7 @@
 		src/main.cpp
 		src/systemsignalhandler.cpp
 		src/crypto.cpp
+		src/runinthread.cpp
 		src/debugwindow.cpp
 		src/configoptions.cpp
 		src/configfileoption.cpp
@@ -285,6 +289,7 @@
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
+		src/createbackendwindow.cpp
 		src/engines.cpp
 		src/oneinstance.cpp
 		src/mountinfo.cpp
@@ -309,8 +314,10 @@
 		src/engines/gocryptfs.cpp
 		src/engines/securefs.cpp
 		src/engines/sshfs.cpp
+		src/engines/customcreateoptions.cpp
 		src/engines/encfs.cpp
 		src/engines/unknown.cpp
+		src/engines/custom.cpp
 		src/engines/gocryptfscreateoptions.cpp
 		src/engines/ecryptfscreateoptions.cpp
 		src/engines/securefscreateoptions.cpp
@@ -333,11 +340,3 @@
 	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
 endif()
 
-set( CMAKE_INCLUDE_CURRENT_DIR ON )
-include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
-include_directories( ${Qt5Network_INCLUDE_DIRS} )
-
-add_definitions( ${Qt5Widgets_DEFINITIONS} )
-
-QT5_WRAP_UI( UI ${UI_FILES} )
-QT5_WRAP_CPP( MOC ${MOC_FILES} )
