=== debian/changelog ===
sirikali (1.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fixes desktop MIME type (Closes: #941456).

 -- David Steele <steele@debian.org>  Tue, 01 Oct 2019 11:12:54 -0400

sirikali (1.3.9-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sat, 14 Sep 2019 10:40:01 -0400
