## sirikali 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.1" )
+set( PGR_VERSION "1.4.2" )
 set( COPYRIGHT_YEARS "2016-2019" )
 
 add_definitions( -Wextra -Wall -pedantic )
