=== debian/changelog ===
sirikali (1.4.2-2) unstable; urgency=medium

  * Force retry of the failed mipsel build.

 -- David Steele <steele@debian.org>  Sat, 15 Feb 2020 19:41:49 -0500

sirikali (1.4.2-1) unstable; urgency=medium

  * New upstream version.
    - There is a breaking change for passwords which were not valid
      latin-1 strings.

 -- David Steele <steele@debian.org>  Wed, 25 Dec 2019 22:15:47 -0500
