=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://github.com/mhogomchungu/sirikali/releases /download/.+/SiriKali-(.*)\.tar\.xz
