## sirikali 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.2" )
-set( COPYRIGHT_YEARS "2016-2019" )
+set( PGR_VERSION "1.4.3" )
+set( COPYRIGHT_YEARS "2016-2020" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -118,13 +118,26 @@
     endif()
 endif()
 
-find_package( Qt5Widgets REQUIRED )
-find_package( Qt5Core REQUIRED )
-find_package( Qt5Network REQUIRED )
-
-message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
-message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
-message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+if( UNIX AND NOT APPLE )
+
+	find_package( Qt5Widgets REQUIRED )
+	find_package( Qt5Core REQUIRED )
+	find_package( Qt5Network REQUIRED )
+	find_package( Qt5DBus REQUIRED )
+
+	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
+	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
+	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+	message( STATUS "Found Qt5DBus, version  ${Qt5DBus_VERSION}" )
+else()
+	find_package( Qt5Widgets REQUIRED )
+	find_package( Qt5Core REQUIRED )
+	find_package( Qt5Network REQUIRED )
+
+	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
+	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
+	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
+endif()
 
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
@@ -241,6 +254,7 @@
 		src/debugwindow.ui
 		src/configfileoption.ui
 		src/configoptions.ui
+		src/checkforupdateswindow.ui
 		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
@@ -270,6 +284,7 @@
 		src/mountinfo.h
 		src/debugwindow.h
 		src/runinthread.h
+		src/checkforupdateswindow.h
 		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
@@ -287,6 +302,7 @@
 		src/configoptions.cpp
 		src/configfileoption.cpp
 		src/sirikali.cpp
+		src/checkforupdateswindow.cpp
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
@@ -331,11 +347,3 @@
 
 	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
 	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
-	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
-	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_GUI_IDENTIFIER "com.crypto.SiriKali" )
-	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
-	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
-	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
