=== debian/changelog ===
sirikali (1.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 05 Apr 2020 16:48:19 -0400
