## sirikali 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.3" )
+set( PGR_VERSION "1.4.4" )
 set( COPYRIGHT_YEARS "2016-2020" )
 
 add_definitions( -Wextra -Wall -pedantic )
@@ -245,9 +245,6 @@
 		src/createbackendwindow.ui
 		src/favorites2.ui
 		src/readonlywarning.ui
-		src/walletconfig.ui
-		src/walletconfiginput.ui
-		src/options.ui
 		src/dialogok.ui
 		src/help.ui
 		src/filemanager.ui
@@ -255,21 +252,23 @@
 		src/configfileoption.ui
 		src/configoptions.ui
 		src/checkforupdateswindow.ui
+		src/engines/options.ui
 		src/engines/customcreateoptions.ui
 		src/engines/gocryptfscreateoptions.ui
 		src/engines/ecryptfscreateoptions.ui
 		src/engines/securefscreateoptions.ui
 		src/engines/encfscreateoptions.ui
 		src/engines/cryfscreateoptions.ui
+		src/engines/fscryptcreateoptions.ui
 )
 
 set( MOC_FILES
-                src/configoptions.h
-                src/configfileoption.h
-                src/checkforupdates.h
-                src/dialogok.h
-                src/help.h
-                src/createbackendwindow.h
+		src/configoptions.h
+		src/configfileoption.h
+		src/checkforupdates.h
+		src/dialogok.h
+		src/help.h
+		src/createbackendwindow.h
 		src/sirikali.h
 		src/keydialog.h
 		src/oneinstance.h
@@ -277,20 +276,19 @@
 		src/plugin.h
 		src/favorites2.h
 		src/readonlywarning.h
-		src/walletconfig.h
-		src/walletconfiginput.h
-		src/options.h
 		src/filemanager.h
 		src/mountinfo.h
 		src/debugwindow.h
 		src/runinthread.h
 		src/checkforupdateswindow.h
+		src/engines/options.h
 		src/engines/customcreateoptions.h
 		src/engines/gocryptfscreateoptions.h
 		src/engines/ecryptfscreateoptions.h
 		src/engines/securefscreateoptions.h
 		src/engines/encfscreateoptions.h
 		src/engines/cryfscreateoptions.h
+		src/engines/fscryptcreateoptions.h
  )
 
 set( SRC 	src/dialogok.cpp
@@ -318,14 +316,12 @@
 		src/plugin.cpp
 		src/tablewidget.cpp
 		src/readonlywarning.cpp
-		src/walletconfig.cpp
-		src/walletconfiginput.cpp
-		src/options.cpp
 		src/secrets.cpp
 		src/filemanager.cpp
 		src/utility2.cpp
-                src/win.cpp
+		src/win.cpp
 		src/settings.cpp
+		src/engines/options.cpp
 		src/engines/cryfs.cpp
 		src/engines/ecryptfs.cpp
 		src/engines/gocryptfs.cpp
@@ -341,9 +337,12 @@
 		src/engines/encfscreateoptions.cpp
 		src/engines/cryfscreateoptions.cpp
 		src/engines/fscrypt.cpp
+		src/engines/fscryptcreateoptions.cpp
 )
 
 if( APPLE )
 
 	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
 	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
+	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
+	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
