=== debian/changelog ===
sirikali (1.4.4-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 07 Jun 2020 21:11:19 -0400
